import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:myhr_facescan/match_template/index.dart';
import 'package:myhr_facescan_example/env.dart';
import 'package:myhr_facescan_example/template_controller.dart';

class MatchFacePage extends StatelessWidget {
  const MatchFacePage({super.key});

  @override
  Widget build(BuildContext context) {
    var con = Get.find<TemplateController>();

    return Scaffold(
      appBar: AppBar(
        title: const Text('Match Face'),
      ),
      body: SafeArea(
          child: MatchTemplateScanner(
        licenseKey: Env.luxandLicenseKey,
        templates: con.templates,
        onFinish: (success, template) {},
      )),
    );
  }
}
